package edu.mermet.tp9.fenetres;

import javax.swing.*;
import java.awt.*;

public class HowTo extends JDialog {
    public HowTo() {
        setTitle("Comment faire ?");
        init();
        setSize(300, 300);
        //pack();
        setVisible(true);
    }

    public void init() {
        setLayout(new BorderLayout());

        //--- Liste des guides à gauche ---
        String[] listeTitres = {"Comment faire ?", "Quitter"};

        JList<String> listeGuides = new JList<>(listeTitres);
        add(listeGuides, BorderLayout.WEST);

        //--- Texte au centre ---
        JPanel pCentre = new JPanel(new FlowLayout(FlowLayout.LEFT));
        JLabel texteCentre = new JLabel("Séléctionnez un titre à gauche.");
        pCentre.add(texteCentre);
        add(pCentre, BorderLayout.CENTER);

        //--- Listener ---
        listeGuides.addListSelectionListener(a -> {
           if(listeGuides.getSelectedValue().equals("Comment faire ?")){
               texteCentre.setText("Texte de \"Comment faire ?\"");
           }
           else if(listeGuides.getSelectedValue().equals("Quitter")){
               texteCentre.setText("Texte de \"Quitter\"");
           }
        });
    }

    public static void main(String... args) {
        SwingUtilities.invokeLater(HowTo::new);
    }
}
